com.holonplatform.jpa.spring.boot.internal

## Class JpaEntityScanPackages

- java.lang.Object
- - com.holonplatform.jpa.spring.boot.internal.JpaEntityScanPackages

-     public class JpaEntityScanPackages
      extends Object

  Class for storing `JpaEntityScan` specified packages for reference later.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JpaEntityScanPackages.Registrar` `ImportBeanDefinitionRegistrar` to store the base package from the importing configuration.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JpaEntityScanPackages` | `get(org.springframework.beans.factory.BeanFactory beanFactory, String dataContextId)` Return the `JpaEntityScanPackages` for the given bean factory.
    `List<String>` | `getPackageNames()` Return the package names specified from all JpaEntityScan annotations.
    `static void` | `registerPackageNames(String dataContextId, org.springframework.beans.factory.support.BeanDefinitionRegistry registry, Collection<String> packageNames)` Register the specified entity scan packages with the system.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPackageNames

          public List<String> getPackageNames()

      Return the package names specified from all JpaEntityScan annotations.
      Returns:
        the entity scan package names

    - #### get

          public static JpaEntityScanPackages get(org.springframework.beans.factory.BeanFactory beanFactory,
                                                  String dataContextId)

      Return the `JpaEntityScanPackages` for the given bean factory.
      Parameters:
        `beanFactory` - the source bean factory
        `dataContextId` - Data context id
      Returns:
        the `JpaEntityScanPackages` for the bean factory (never `null`)

    - #### registerPackageNames

          public static void registerPackageNames(String dataContextId,
                                                  org.springframework.beans.factory.support.BeanDefinitionRegistry registry,
                                                  Collection<String> packageNames)

      Register the specified entity scan packages with the system.
      Parameters:
        `dataContextId` - Data context id
        `registry` - the source registry
        `packageNames` - the package names to register

Copyright © 2019 The Holon Platform. All rights reserved.